import { fetchSso } from '@/core/request';

// const basurl = '/htgl/api/yhzxApi';
const basurl = '/yhzxApi';

export default {
  getMxList() {
    return fetchSso({
      url: `${basurl}/user/getMxLb`,
      method: 'get',
      loading: true,
    });
  },
  getCjjpPage(params) {
    return fetchSso({
      url: `${basurl}/jfcj/getCjjpPage`,
      method: 'post',
      loading: true,
      data: JSON.stringify(params),
    });
  },
  saveCjjp(params) {
    return fetchSso({
      url: `${basurl}/jfcj/saveCjjp`,
      method: 'post',
      loading: true,
      data: JSON.stringify(params),
    });
  },
  updateCjjp(params) {
    return fetchSso({
      url: `${basurl}/jfcj/updCjjp`,
      method: 'post',
      loading: true,
      data: JSON.stringify(params),
    });
  },
  delCjjp(params) {
    return fetchSso({
      url: `${basurl}/jfcj/delCjjp?jpuuid=${params.jpuuid}`,
      method: 'get',
      loading: true,
    });
  },
  updCjjpYxbz(params) {
    return fetchSso({
      url: `${basurl}/jfcj/updCjjpYxbz?jpuuid=${params.jpuuid}`,
      method: 'get',
      loading: true,
    });
  },
  getXzListByStar(params) {
    return fetchSso({
      url: `${basurl}/xz/getXzListByStar?mxuuid=${params.mxuuid}`,
      method: 'get',
      loading: true,
    });
  },
};
